VTK: vtkAMRVelodyneReaderInternal Class Reference

| VTK 9.3.1

Classes | Public Types | Public Member Functions | Public Attributes | List of all members
vtkAMRVelodyneReaderInternal Class Reference

Consists of the low-level Velodyne Reader used by the vtkAMRVelodyneReader. More...

`#include <vtkAMRVelodyneReaderInternal.h>`

## Classes
struct | tagVelodyneBlock

## Public Types
typedef struct vtkAMRVelodyneReaderInternal::tagVelodyneBlock | Block

## Public Member Functions
| vtkAMRVelodyneReaderInternal ()
| ~vtkAMRVelodyneReaderInternal ()
void | SetFileName (VTK_FILEPATH VTK_FUTURE_CONST char *fileName)
void | ReadMetaData ()
void | GetBlockAttribute (const char *attribute, int blockIdx, vtkUniformGrid *pDataSet)

## Public Attributes
hid_t | file_id
std::vector< Block > | Blocks
std::vector< std::string > | AttributeNames
std::vector< int > | blockDims
std::vector< int > | blocksPerLevel
std::vector< double > | globalOrigin
std::vector< double > | rootDX
double | dataTime
int | nBlocks
int | nLevels

## Detailed Description

Consists of the low-level Velodyne Reader used by the vtkAMRVelodyneReader.

See also
  vtkAMRVelodyneReader

Definition at line 42 of file vtkAMRVelodyneReaderInternal.h.

## Member Typedef Documentation

## ◆ Block

typedef struct vtkAMRVelodyneReaderInternal::tagVelodyneBlock vtkAMRVelodyneReaderInternal::Block

## Constructor & Destructor Documentation

## ◆ vtkAMRVelodyneReaderInternal()

vtkAMRVelodyneReaderInternal::vtkAMRVelodyneReaderInternal | ( |  | ) |

## ◆ ~vtkAMRVelodyneReaderInternal()

vtkAMRVelodyneReaderInternal::~vtkAMRVelodyneReaderInternal | ( |  | ) |

## Member Function Documentation

## ◆ SetFileName()

void vtkAMRVelodyneReaderInternal::SetFileName | ( | VTK_FILEPATH VTK_FUTURE_CONST char * | fileName | ) |

## ◆ ReadMetaData()

void vtkAMRVelodyneReaderInternal::ReadMetaData | ( |  | ) |

## ◆ GetBlockAttribute()

void vtkAMRVelodyneReaderInternal::GetBlockAttribute | ( | const char * | attribute,
|  | int | blockIdx,
|  | vtkUniformGrid * | pDataSet
| ) |  |

## Member Data Documentation

## ◆ file_id

hid_t vtkAMRVelodyneReaderInternal::file_id

Definition at line 61 of file vtkAMRVelodyneReaderInternal.h.

## ◆ Blocks

std::vector<Block> vtkAMRVelodyneReaderInternal::Blocks

Definition at line 62 of file vtkAMRVelodyneReaderInternal.h.

## ◆ AttributeNames

std::vector<std::string> vtkAMRVelodyneReaderInternal::AttributeNames

Definition at line 63 of file vtkAMRVelodyneReaderInternal.h.

## ◆ blockDims

std::vector<int> vtkAMRVelodyneReaderInternal::blockDims

Definition at line 64 of file vtkAMRVelodyneReaderInternal.h.

## ◆ blocksPerLevel

std::vector<int> vtkAMRVelodyneReaderInternal::blocksPerLevel

Definition at line 66 of file vtkAMRVelodyneReaderInternal.h.

## ◆ globalOrigin

std::vector<double> vtkAMRVelodyneReaderInternal::globalOrigin

Definition at line 67 of file vtkAMRVelodyneReaderInternal.h.

## ◆ rootDX

std::vector<double> vtkAMRVelodyneReaderInternal::rootDX

Definition at line 68 of file vtkAMRVelodyneReaderInternal.h.

## ◆ dataTime

double vtkAMRVelodyneReaderInternal::dataTime

Definition at line 69 of file vtkAMRVelodyneReaderInternal.h.

## ◆ nBlocks

int vtkAMRVelodyneReaderInternal::nBlocks

Definition at line 70 of file vtkAMRVelodyneReaderInternal.h.

## ◆ nLevels

int vtkAMRVelodyneReaderInternal::nLevels

Definition at line 71 of file vtkAMRVelodyneReaderInternal.h.

The documentation for this class was generated from the following file:

- IO/AMR/vtkAMRVelodyneReaderInternal.h